
QGIS Application - Bug report #15544

Graduated symbolgy: feature count fails if classes created with an expression that includes a 

geometry function

2016-09-07 11:05 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Legend

Affected QGIS version:2.16.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23467

Description

tested on QGIS >= 2.8

created symbology classes with an expression like

column/$area

it all works fine, except then the feature count for the resulting classes, that it is always set to 0.

Associated revisions

Revision b5867bff - 2018-09-24 09:21 PM - Nyall Dawson

Fix legend count is 0 if graduated/categorized expression uses geometry

Likely fixes many other bugs too with graduated/categorized renderers

Fixes #15544

History

#1 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-09-24 01:29 AM - Nyall Dawson

- Status changed from Open to In Progress

- Assignee set to Nyall Dawson

- Description updated

#3 - 2018-09-24 01:44 AM - Nyall Dawson

https://github.com/qgis/QGIS/pull/7992

#4 - 2018-09-24 09:20 PM - Nyall Dawson

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
https://github.com/qgis/QGIS/pull/7992


Applied in changeset commit:qgis|b5867bff58b926a1c3169e9f2d92765790a786a8.
